#ifndef __EMPLOYEE_H__
#define __EMPLOYEE_H__

#include <iostream>

using namespace std;

class employee {
    private:
        string name;
    protected:
        string type;
        double pay_rate;
        int hours;
    public:
        employee(string name, double pay_rate, int hours, string type);
        string get_name();
        double get_payrate();
        string get_type();
        int get_hours();
        void set_hours(int input);
        void reset_hours();
        virtual int get_salary() = 0;
        friend ostream & operator<<(ostream & os, employee & t);
};

#endif
